Skip to main content

get_video_status

Get status and benchmark-relevant metrics for one video-processing job.

  • Method: POST
  • Path: /get_video_status

Request Body

{
"video_id": "f2d9a2d4f94a4d4da6d2a0a2f4d24f01"
}
FieldTypeDescription
video_idstringVideo-processing job identifier returned by POST /process_video.

Success Response

{
"success": true,
"message": null,
"data": {
"video": {
"video_id": "f2d9a2d4f94a4d4da6d2a0a2f4d24f01",
"status": "running",
"input_video_path": "/input/warehouse.mp4",
"input_video_name": "warehouse-shift-1",
"length": 120.0,
"current_processing_time": 30.0,
"percent_complete": 25.0,
"wall_time_seconds": 31.2,
"started_at": 1781280000.0,
"completed_at": null,
"runtime_metrics": {},
"native_pipeline_metrics": {},
"native_event_outputs": {},
"error": null
}
}
}

If the video ID is not known, the response returns success: false, message: "Video not found", and data.video.status: "not_found".